> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List uploaded media

> Returns a list of stored media files.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/real-time-communications/media-storage.yml get /media
openapi: 3.1.0
info:
  title: Telnyx Media Storage API
  version: 2.0.0
  description: API for Media storage.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /media:
    get:
      tags:
        - Media Storage API
      summary: List uploaded media
      description: Returns a list of stored media files.
      operationId: ListMediaStorage
      parameters:
        - name: filter
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated filter parameter (deepObject style). Originally:
            filter[content_type][]
          schema:
            type: object
            properties:
              content_type:
                type: array
                items:
                  type: string
                  example: application_xml
                description: Filters files by given content types
      responses:
        '200':
          $ref: '#/components/responses/ListMediaResponse'
        '401':
          $ref: '#/components/responses/media-storage_GenericErrorResponse'
        default:
          $ref: '#/components/responses/media-storage_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const media = await client.media.list();

            console.log(media.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            media = client.media.list()
            print(media.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tmedia, err := client.Media.List(context.TODO(), telnyx.MediaListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", media.Data)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.media.MediaListParams;
            import com.telnyx.sdk.models.media.MediaListResponse;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    MediaListResponse media = client.media().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            media = telnyx.media.list

            puts(media)
        - lang: CLI
          source: |-
            telnyx media list \
              --api-key 'My API Key'
components:
  responses:
    ListMediaResponse:
      description: A response with a list of media resources
      content:
        application/json:
          schema:
            type: object
            title: List of media resources response
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/MediaResource'
              meta:
                $ref: '#/components/schemas/PaginationMeta'
    media-storage_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/media-storage_Errors'
  schemas:
    MediaResource:
      type: object
      title: Media Resource
      properties:
        media_name:
          description: Uniquely identifies a media resource.
          type: string
        expires_at:
          description: >-
            ISO 8601 formatted date of when the media resource will expire and
            be deleted.
          type: string
          example: '2020-01-23T18:10:02.574Z'
        created_at:
          type: string
          description: ISO 8601 formatted date of when the media resource was created
          example: '2019-01-23T18:10:02.574Z'
        updated_at:
          type: string
          description: ISO 8601 formatted date of when the media resource was last updated
          example: '2019-01-23T18:10:02.574Z'
        content_type:
          type: string
          description: Content type of the file
          example: application/xml
      example:
        media_name: f5586561-8ff0-4291-a0ac-84fe544797bd
        expires_at: '2020-01-23T18:10:02.574Z'
        created_at: '2019-01-23T18:10:02.574Z'
        updated_at: '2019-01-23T18:10:02.574Z'
        content_type: application/xml
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    media-storage_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/media-storage_Error'
      type: object
    media-storage_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````